---
updatedAt: 2025-06-11T20:41:03.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# eth_accounts_polygon

Returns a list of addresses owned by client.

# Parameters

* No parameters are needed.

```curl Example
curl https://polygon-mainnet-rpc.allthatnode.com:8545/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_accounts",
  "params": []
}'
```

# Returns

* `Array of DATA`, 20 Bytes - Addresses owned by the client.

```json Example
{"jsonrpc":"2.0","id":1,"result":[]}
```

> 🚧
>
> Since All That Node does not store keys, the method will always return empty.

***

# Try Yourself

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "polygon-archive-erigon",
    "version": "0.5.0"
  },
  "servers": [
    {
      "url": "https://polygon-mainnet-archive.allthatnode.com:8545"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/{apiKey}": {
      "post": {
        "summary": "trace_replayBlockTransactions-polygon",
        "description": "Replays all transactions in a block returning the requested traces for each transaction.",
        "operationId": "trace_replayblocktransactions-polygon",
        "parameters": [
          {
            "name": "apiKey",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "default": "{   \"id\": 1,   \"jsonrpc\": \"2.0\",   \"method\": \"trace_replayBlockTransactions\",   \"params\": [     \"0x2B9BB83\",     [\"trace\"]   ] }"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```